Name: audit
Version: 1.7.12
Release: alt0.M50.4

Packager: Anton Farygin <rider@altlinux.com>

Summary: User space tools for 2.6 kernel auditing

License: GPL
Group: Monitoring
URL: http://people.redhat.com/sgrubb/audit/
Source: %name-%version.tar
Source1: %name.init
Source2: %name.cron
Patch0: %name-%version-%release.patch

BuildPreReq: python-dev swig

Requires: lib%name = %version-%release
Requires(post,preun): service

# Automatically added by buildreq on Wed Mar 04 2009
BuildRequires: gcc-c++ gcc-fortran glibc-devel-static libkrb5-devel libldap-devel perl-XML-Parser python-devel swig libprelude-devel


BuildRequires: desktop-file-utils

%description
The audit package contains the user space utilities for
storing and searching the audit records generate by
the audit subsystem in the Linux 2.6 kernel.

%package -n lib%name
Summary: Dynamic library for libaudit
License: LGPL
Group: System/Libraries

%description -n lib%name
The audit-libs package contains the dynamic libraries needed for 
applications to use the audit framework.

%package -n lib%name-devel
Summary: Header files and static library for libaudit
License: LGPL
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
The audit-libs-devel package contains the static libraries and header 
files needed for developing applications that need to use the audit 
framework libraries.

%package -n python-module-%name
Summary: Python bindings for libaudit
License: LGPL
Group: Development/Python
Requires: lib%name = %version-%release

%description -n python-module-%name
The python-module-%name package contains the bindings so that libaudit
and libauparse can be used by python.

%package -n system-config-audit
Summary: Utility for editing audit configuration
License: GPLv2+
Group: Monitoring

%description -n system-config-audit
A graphical utility for editing audit configuration.

%prep
%setup -q
%patch0 -p1

%build
#magic from author
#(cd system-config-audit;./autogen.sh)
aclocal && autoconf && autoheader && automake

%configure --sbindir=/sbin --libdir=/%_lib --disable-static --with-prelude

%make_build

%install
make DESTDIR=%buildroot install

make -C system-config-audit DESTDIR=%buildroot install-fedora

%__install -d %buildroot%_logdir/%name
%__install -d %buildroot%_sysconfdir/audispd/plugins.d
%__install -d %buildroot/%_libdir/%name

#move development part to libdir
%__install -d %buildroot%_libdir
for i in libaudit libauparse;do
LIBNAME=$(readlink %buildroot/%_lib/$i.so)
ln -s  /%_lib/${LIBNAME##*/}  %buildroot/%_libdir/$i.so
done

#replace init script
%__install -Dpm755 %SOURCE1 %buildroot/%_initdir/%{name}d

#install rotate script
%__install -Dpm755 %SOURCE2 %buildroot/%_sysconfdir/cron.weekly/%{name}d

desktop-file-install					\
	--dir %buildroot/%_datadir/applications	\
	--delete-original				\
	system-config-audit/system-config-audit.desktop


%post
%post_service %{name}d

%preun
%preun_service %{name}d

%files
%doc README ChangeLog contrib
%config(noreplace) %_sysconfdir/cron.weekly/%{name}d
%_initdir/%{name}d
%attr(700,root,root) %_logdir/%name

/sbin/ausearch
/sbin/aureport
%attr(750,root,root) /sbin/auditctl
%attr(750,root,root) /sbin/auditd
%attr(750,root,root) /sbin/autrace
%attr(750,root,root) /sbin/audispd
%attr(750,root,root) /sbin/audisp-remote
%attr(750,root,root) /sbin/audisp-prelude
%attr(750,root,root) /sbin/audispd-zos-remote
%attr(750,root,root) %_bindir/aulastlog
%attr(750,root,root) %_bindir/aulast
%attr(750,root,root) %_bindir/ausyscall


%_man5dir/*
%_man8dir/*

%attr(700,root,root) %dir %_sysconfdir/%name
%config(noreplace) %attr(600,root,root) %_sysconfdir/%name/auditd.conf
%config(noreplace) %attr(600,root,root) %_sysconfdir/%name/audit.rules

%attr(700,root,root) %dir %_sysconfdir/audispd
%config(noreplace) %attr(640,root,root) /etc/audisp/*.conf

%attr(700,root,root) %dir %_sysconfdir/audispd/plugins.d
%config(noreplace) %attr(640,root,root) /etc/audisp/plugins.d/*.conf

%attr(700,root,root) %dir %_libdir/audit



%files -n lib%name
/%_lib/*.so.*
%config(noreplace) %attr(600,root,root) /etc/libaudit.conf

%files -n lib%name-devel
%_libdir/*.so
%_includedir/*
%_man3dir/*

%files -n python-module-%name
%python_sitelibdir/*

%files -n system-config-audit
%_bindir/system-config-audit
%_datadir/applications/system-config-audit.desktop
%_datadir/system-config-audit
%_libexecdir/system-config-audit-server
%_datadir/applications/system-config-audit.desktop
%_libexecdir/system-config-audit-server-real
%config(noreplace) %_sysconfdir/pam.d/system-config-audit-server
%config(noreplace) %_sysconfdir/security/console.apps/system-config-audit-server

%changelog
* Wed Mar 11 2009 Anton Farygin <rider@altlinux.ru> 1.7.12-alt0.M50.4
- service auditd off by default

* Tue Mar 10 2009 Slava Dubrovskiy <dubrsl@altlinux.org> 1.7.12-alt0.M50.2
- added support of libprelude

* Wed Mar 04 2009 Anton Farygin <rider@altlinux.ru> 1.7.12-alt0.M50.2
- added system-config-audit subpackage with graphical utility for editing audit configuration

* Wed Mar 04 2009 Anton Farygin <rider@altlinux.ru> 1.7.12-alt0.M50.1
- new version

* Thu Jan 15 2009 Anton Farygin <rider@altlinux.ru> 1.7.11-alt1
- new version
- subpackage python-module-audit added
- Packager changed

* Wed Dec 17 2008 Anton Farygin <rider@altlinux.ru> 1.7.10-alt1
- new version

* Fri Dec 12 2008 Anton Farygin <rider@altlinux.ru> 1.7.9-alt1
- new version

* Tue Sep 23 2008 Stanislav Ievlev <inger@altlinux.org> 1.7-alt2
- silent rotate

* Thu Apr 03 2008 Stanislav Ievlev <inger@altlinux.org> 1.7-alt1
- 1.7

* Fri Jul 06 2007 Stanislav Ievlev <inger@altlinux.org> 1.5.4-alt1
- 1.5.4

* Thu May 24 2007 Stanislav Ievlev <inger@altlinux.org> 1.5.3-alt1
- Initial release
